Omniplex Docs
PopplioProduction

Reminders

These API endpoints are related to reminders on IBL

GET
/users/{id}/reminders

Get User Reminders

Gets a users reminders

/users/{id}/reminders

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Path Parameters

id
Required
string

User ID

curl -X GET "https://spider.omniplex.gg/users/string/reminders" \
  -H "User-Auth: <token>"

Success

{
  "reminders": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "last_acked": "2019-08-24T14:15:22Z",
      "resolved": {
        "avatar": "string",
        "name": "string"
      },
      "target_id": "string",
      "target_type": "string",
      "user_id": "string"
    }
  ]
}

DELETE
/users/{uid}/{target_type}/{target_id}/reminders

Delete User Reminders

Deletes a users reminders. Returns 204 on success

/users/{uid}/{target_type}/{target_id}/reminders

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Path Parameters

uid
Required
string

User ID

target_type
Required
string

The target type of the entity

target_id
Required
string

The target ID of the entity

curl -X DELETE "https://spider.omniplex.gg/users/string/string/string/reminders" \
  -H "User-Auth: <token>"

Success

{
  "reminders": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "last_acked": "2019-08-24T14:15:22Z",
      "resolved": {
        "avatar": "string",
        "name": "string"
      },
      "target_id": "string",
      "target_type": "string",
      "user_id": "string"
    }
  ]
}

PUT
/users/{uid}/{target_type}/{target_id}/reminders

Create User Reminder

Creates a new user reminders of an entity

/users/{uid}/{target_type}/{target_id}/reminders

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Path Parameters

uid
Required
string

User ID

target_type
Required
string

The target type of the entity

target_id
Required
string

The target ID of the entity

curl -X PUT "https://spider.omniplex.gg/users/string/string/string/reminders" \
  -H "User-Auth: <token>"

Success

{
  "reminders": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "last_acked": "2019-08-24T14:15:22Z",
      "resolved": {
        "avatar": "string",
        "name": "string"
      },
      "target_id": "string",
      "target_type": "string",
      "user_id": "string"
    }
  ]
}